// main: ./main.less, out: ../style.css, compress: false

/* ====================================================================================================================================
TRANSITIONS
======================================================================================================================================*/

.trans(@property : all, @duration: 0.4s, @easing : cubic-bezier(0.4, 0.0, 0.2, 1), @delay : 0 ) {
 transition-property: @property;
 transition-duration: @duration;
 transition-timing-function: @easing;
 transition-delay: @delay;
 -webkit-transition-property: @property;
 -webkit-transition-duration: @duration;
 -webkit-transition-timing-function: @easing;
 -webkit-transition-delay: @delay;
}

.trans.simple {
   .trans(all, 0.4s, ease-in-out);
}

.trans.long {
   .trans(all, 0.8s, cubic-bezier(0.4, 0.0, 0.2, 1), 0);
}

/* ====================================================================================================================================
ANIMATIONS
======================================================================================================================================*/

@keyframes animation__hpCircle {
    from {
        .u-transform(scale(.9));
    }
    to {
        .u-transform(scale(1));
    }
 }
 @keyframes animation__sectionLine {
    from {
        height: 40px;
    }
    to {
        height: 30px;
    }
 }

 @keyframes animation__rotation {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(359deg);
    }
 }

 @keyframes animation__cookies {
    from {
        transform: translateY(100px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
 }

 @keyframes animation__heroProject {
    0% {
        //left: 100%;
        left: 0;
        top: 0;
        right:0;
        bottom: 0;
        width: 100%;

    }
    50% {
        //left: 100%;
        left: 0;
        top: 0;
        right:0;
        bottom: 0;
        width: 100%;

    }
    100% {
        left: @margin__xl*2;
        top: @margin__lg*2;
        width: calc(100% ~"-" @margin__xl*2);
    }
 }

 @keyframes animation__opacity {
    0% {
        opacity: 0;
    }
    80% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
 }
 
 .animation (@name, @duration: .4s, @delay: 0,) {
     animation-name                   : @name;
     animation-duration               : @duration;
     animation-delay                  : @delay;
     animation-fill-mode              : forwards;
     animation-iteration-count        : infinite;
     -webkit-animation-name           : @name;
     -webkit-animation-duration       : @duration;
     -webkit-animation-delay          : @delay;
     -webkit-animation-fill-mode      : forwards;
     -webkit-animation-iteration-count: infinite;
 }


/* ====================================================================================================================================
PRELOADER
======================================================================================================================================*/
 .page-brainup {
     display: none;
 }


.home {
    #preloader {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: @vr__col-1;
        z-index: 9999;
    }
    .preloader-logo {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    .preloader-logo--inner {
        position: relative;
    }
    @keyframes AnimLoaderLogo {
        from {
        height: 0;
        }
        to {
        height: 67px;
        }
    }
    #gradient {
        height: 0;
        animation-name: AnimLoaderLogo;
        animation-duration: 1.2s;
        animation-delay: 0.2s;
        animation-timing-function: ease-in-out;
        animation-fill-mode: forwards;
    }
    @keyframes AnimOpacity {
        from {
        opacity: 0;
        }
        to {
        opacity: 1;
        }
    }
    #letterB, #letterR, #letterA, #letterI, #letterN, #letterU, #letterP {
        animation-name: AnimOpacity;
        animation-duration: 1s;
        animation-timing-function: ease-in-out;
        animation-fill-mode: forwards;
        opacity: 0;
    }
    
    #letterB {
        animation-delay: 2s;
    }
    #letterR {
        animation-delay: 2.1s;
    }
    #letterA {
        animation-delay: 2.2s;
    }
    #letterI {
        animation-delay: 2.3s;
    }
    #letterN {
        animation-delay: 2.4s;
    }
    #letterU {
        animation-delay: 2.5s;
    }
    #letterP {
        animation-delay: 2.6s;
    }
    @keyframes AnimUnderline {
        from {
        transform: scaleX(0);
        transform-origin: left;
        }
        to {
        transform: scaleX(1);
        transform-origin: left;
        }
    }
    #underline {
        position: absolute;
        height: 2px;
        width: 57px;
        bottom: 6px;
        right: 1px;
        background-color: white;
        animation-name: AnimUnderline;
        animation-duration: .6s;
        animation-delay: 2.8s;
        animation-timing-function: ease-in-out;
        animation-fill-mode: forwards;
        transform: scaleX(0);
        transform-origin: left;
    }
}

.js-onView {
    opacity: 0;
    .u-transform(translateY(60px));
    .trans(@duration: 2s);

    &--delay1 {
        transition-delay: .3s;
    }
    &--delay2 {
        transition-delay: .6s;
    }
    &.isVisible {
        opacity: 1;
        .u-transform(translateY(0));
    }
}